import request from '@/utils/request'

// 查询衣服种类列表
export function allList() {
  return request({
    url: '/mapi/core/clothType/all',
    method: 'get',
  })
}

// 查询衣服种类列表
export function listType(query) {
    return request({
        url: '/mapi/core/clothType/list',
        method: 'get',
        params: query
    })
}

// 查询衣服种类详细
export function getType(id) {
    return request({
        url: '/mapi/core/clothType/' + id,
        method: 'get'
    })
}

// 新增衣服种类
export function addType(data) {
    return request({
        url: '/mapi/core/clothType',
        method: 'post',
        data: data
    })
}

// 修改衣服种类
export function updateType(data) {
    return request({
        url: '/mapi/core/clothType',
        method: 'put',
        data: data
    })
}

// 删除衣服种类
export function delType(id) {
    return request({
        url: '/mapi/core/clothType/' + id,
        method: 'delete'
    })
}

// 衣服种类状态修改
export function changeTypeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/core/clothType/changeStatus',
    method: 'put',
    data: data
  })
}
